Package: lsb-core
Version: 3.2-28
Severity: minor

The fix for #638450 looked like this:

diff -pruN 3.2-27/debian/postinst 3.2-28/debian/postinst
--- 3.2-27/debian/postinst      2010-09-18 22:01:52.000000000 +0000
+++ 3.2-28/debian/postinst      2011-08-26 20:40:00.000000000 +0000
@@ -22,8 +22,10 @@ setup_ldso_symlink () {
             ln -sf ld-linux.so.2 /lib/ld-lsb.so.1
             ln -sf ld-linux.so.2 /lib/ld-lsb.so.2
             ln -sf ld-linux.so.2 /lib/ld-lsb.so.3
-            ln -sf /lib/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.2
-            ln -sf /lib/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3
+            ln -sf ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.2
+            ln -sf ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3
+            [ -L /lib/ld-lsb-x86-64.so.2 ] && rm /lib/ld-lsb-x86-64.so.2 || 
true
+            [ -L /lib/ld-lsb-x86-64.so.3 ] && rm /lib/ld-lsb-x86-64.so.3 || 
true
             ;;
         ia64)
             ln -sf ld-linux-ia64.so.2 /lib/ld-lsb-ia64.so.1
diff -pruN 3.2-27/debian/prerm 3.2-28/debian/prerm
--- 3.2-27/debian/prerm 2011-01-17 20:17:59.000000000 +0000
+++ 3.2-28/debian/prerm 2011-08-26 20:31:18.000000000 +0000
@@ -13,7 +13,7 @@ remove_ldso_symlink () {
             rm -f /lib/ld-lsb.so.[123]
             ;;
         amd64)
-            rm -f /lib/ld-lsb.so.[123] /lib64/ld-lsb-x86-64.so.2
+            rm -f /lib/ld-lsb.so.[123] /lib64/ld-lsb-x86-64.so.[23] 
/lib/ld-lsb-x86-64.so.[23]
             ;;
         *)
             echo "ld-lsb-*.so.1 symlink for $ARCH is unknown; not removed."

Nothing ever created /lib/ld-lsb-x86-64.so.[23] symlinks in the first
place, so as far as I can see there's no need to clean them up; the
problem was that the symlink *target* was wrong.  Isn't this dead code?

(I initially thought that this was actively dangerous since /lib64 might
be a symlink to /lib so this would create the ld-lsb-* symlinks and then
delete them again, but since you depend on libc6 (>= 2.13-17) this
appears not to be the case.)

Thanks,

-- 
Colin Watson                                       [cjwat...@debian.org]



-- 
To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to